# Rigol DG2052 Python Library

# __\[fn_gen\]__ The Function Generator SCPI library in Python

### Description: A library for usage with SCPI compliant function generators (for now the DG2000 series from rigol)
### Usage:
####      Linux

```bash
# Clone Repository and change to repo directory
git clone https://collaborating.tuhh.de/ckn8479/fn_gen.git && cd fn_gen
# Install virtualenv for python virtual enviroment management
pip install virtualenv # Can be skipped if already installed
# Create a virutal enviroment in repo folder called 'venv'
python -m venv venv
# Activate virtual enviroment
source venv/bin/activate
# Install python build package to build library
pip install build
# Build library
python -m build
# Deactivate virtual enviroment
deactivate
```
####      Windows

```powershell
# Clone Repository and change to repo directory
git clone https://collaborating.tuhh.de/ckn8479/fn_gen.git
cd fn_gen
# Install virtualenv for python virtual enviroment management
pip install virtualenv # Can be skipped if already installed
# Create a virutal enviroment in repo folder called 'venv'
python -m venv venv
# Activate virtual enviroment
venv\Scripts\Activate.ps1
# Install python build package to build library
pip install build
# Build library
python -m build
# Deactivate virtual enviroment
deactivate
```

The library will be then available in `dist` as a `.whl` file.
